Subject: bug#14502: 24.3; dired-load-hook should not be customizable

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 22 Jan 2020 13:27:41 +0100

Mauro Aranda <[email-masked]> writes:

> I think this solution would be good.  As for the controversial part, I
> think it would be possible to add some specific option that controls
> whether to overwrite or not a hook when using Customize.  Also, a
> checkbox could toggle that option when customizing a hook interactively.
>
> But one problem is that using defcustom for the option would complicate
> things a little more than using plain defvar.  For starters, every
> hook would have to have a :set-after property with that option.

Whatever solution we have should work generally and consistently.  So
defcustoms of type `hook' should either overwrite (as they do currently)
or not (which would be more logical, perhaps).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no